Bug 1808482 - No way for users to specify custom OS image location
Summary: No way for users to specify custom OS image location
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.3.z
Assignee: Mike Fedosin
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1808460
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-28 15:47 UTC by Mike Fedosin
Modified: 2020-03-24 14:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1808456
Environment:
Last Closed: 2020-03-24 14:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3207 None closed [release-4.3] Bug 1808482: OpenStack: allow to overwrite default os image in the install config 2020-06-02 10:03:52 UTC
Red Hat Product Errata RHBA-2020:0858 None None None 2020-03-24 14:34:44 UTC

Description Mike Fedosin 2020-02-28 15:47:36 UTC
+++ This bug was initially created as a clone of Bug #1808456 +++

For disconnected installs users need to specify a custom OS location to a local storage in the install config. Now there is no possibility to do this, which means disconnected installs are not supported.

`OPENSHIFT_INSTALL_OS_IMAGE_OVERRIDE` env variable can't be used because it is for developers only

Comment 3 David Sanz 2020-03-11 12:41:20 UTC
Verified on 4.3.0-0.nightly-2020-03-11-085440

DEBUG     Fetching Image...                        
DEBUG     Reusing previously-fetched Image

Comment 5 errata-xmlrpc 2020-03-24 14:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0858


Note You need to log in before you can comment on or make changes to this bug.